#
# spec file for package Cisco_SCSI_HBA (Version 1.0)
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# norootforbuild


Name:           cisco_scsi_hba-sle11sp3-x86_64
%define         product cisco_scsi_hba-sle11sp3-x86_64
Summary:        The Cisco_SCSI_HBA Driver Kit for SLE11-SP3 x86_64
Version:        1.0
Release:        2.2
License:        GPL-2.0+
Group:          System/Fhs
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
This is the Cisco_SCSI_HBA Driver Kit for SLE11-SP3 x86_64

%package release
Provides:       %name-%version
Summary:        The Cisco_SCSI_HBA Driver Kit for SLE11-SP3 x86_64
Group:          System/Fhs
Provides:       product()
Provides:       product(CISCO_SCSI_HBA) = %version-%release
Requires:       product_flavor(CISCO_SCSI_HBA)

%description release
This is the Cisco_SCSI_HBA Driver Kit for SLE11-SP3 x86_64 release

%package release-cd
License:        GPL-2.0+
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(cd)
Provides:       product_flavor(CISCO_SCSI_HBA) = %version-%release
Requires:       product(SUSE_SLE) = 11.3

Summary:        The Cisco_SCSI_HBA Driver Kit for SLE11-SP3 x86_64

%description release-cd
This is the Cisco_SCSI_HBA Driver Kit for SLE11-SP3 x86_64



%prep


%build

%install
rm -Rf $RPM_BUILD_ROOT
## Create release packages
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/cisco_scsi_hba-sle11sp3-x86_64-release-cd
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/cisco_scsi_hba-sle11sp3-x86_64-release-cd/README << EOF
This package just exist just for providing the product flavor 'cd'.

EOF

mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/cisco_scsi_hba-sle11sp3-x86_64.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product id="cisco_scsi_hba-sle11sp3-x86_64" schemeversion="0">
  <vendor>SUSE PLDP: Cisco Systems, Inc.</vendor>
  <name>CISCO_SCSI_HBA</name>
  <version>%{version}</version>
  <patchlevel>0</patchlevel>
  <release>%{release}</release>
  <arch>%{_target_cpu}</arch>
  <register>
    <target/>
    <release/>
    <repositories>
    </repositories>
  </register>
  <upgrades />
  <summary>Cisco_SCSI_HBA Driver Kit for SLE11-SP3 x86_64</summary>
  <description>Cisco_SCSI_HBA Driver Kit for SLE11-SP3 x86_64</description>
  <linguas />
  <urls>
    <url name="releasenotes">http://drivers.suse.com/cisco/Cisco-SCSI-HBA/sle11-sp3/install-readme.html</url>
    </urls>
  <buildconfig>
    <producttheme>SLES</producttheme>
    <allowresolving>false</allowresolving>
  </buildconfig>
  <installconfig>
    <datadir>suse</datadir>
    <descriptiondir>suse/setup/descr</descriptiondir>
    <releasepackage name="cisco_scsi_hba-sle11sp3-x86_64-release" flag="EQ" version="1.0" release="%{release}" />
    <distribution>SUSE_SLE</distribution>
  </installconfig>
  <runtimeconfig />
</product>

EOF



%clean
rm -rf %buildroot

%files release
%defattr(644,root,root,755)
%dir /etc/products.d
/etc/products.d/*.prod

%files release-cd
%defattr(-,root,root)
%doc %{_defaultdocdir}/cisco_scsi_hba-sle11sp3-x86_64-release-cd



%changelog
